<?php
session_start();
include ('private/mysql.php');
include ('tmp/head.php');

switch($sd){

default:

header('Location: main.php');
exit;

break;

case 'boss':

$q = mysql_query("SELECT * FROM `boss` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e == 0){
    header('Location: main.php');
    exit;
}
$w = mysql_fetch_assoc($q);

echo "<font color=red>$w[name]</font><br>
$w[level] уровень<br><br>
Здоровье: $w[hpall]<br>
Урон: $w[u_min] - $w[u_max]<br><br>
<img src='img/exp.png'> $w[exp]<br>
<img src='img/silver.png'> $w[silver]<br>";


break;


case 'mag':

$q = mysql_query("SELECT * FROM `us_mag` WHERE `id`='$id' and `user`='$uid'");
$e = mysql_num_rows($q);
if($e == 0){
    header('Location: mymags.php');
    exit;
}
$w = mysql_fetch_assoc($q);

echo "<img src='img/mag/$w[img]'><br>$w[name] ($w[level] ур.)<hr>";

if($w['tip']=='fire'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия <font color=darkred>на $w[min_u]-$w[max_u] ед.</font><br>
Использует <font color=#045acf>$w[mp] ед. маны.</font>";}
if($w['tip']=='volna'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия примерно <font color=darkred>на $w[min_u]-$w[max_u] ед.</font><br>
<font color=#4a770f>Восстанавливает</font> заклинателю <font color=#4a770f>здоровье в размере 18%</font> от нанесенного урона.<br>
Использует <font color=#045acf>$w[mp] ед. маны.</font>";}
if($w['tip']=='haos'){echo "Наносит текущему противнику урон, <font color=darkred>превосходящий</font> урон от холодного оружия на <font color=darkred>$w[min_u]-$w[max_u] ед.</font><br>
Есть <font size=3 color=grey>шанс</font> <font color=#4a770f>восстановить</font> заклинателю <font color=#4a770f>здоровье в размере 100%</font> от нанесенного урона.<br>
Использует 68 <font color=#045acf>$w[mp] ед. маны.</font>";}



echo "<hr>← <a href='mymags.php'>назад</a>";

break;




case 'mob':

$q = mysql_query("SELECT * FROM `mobs` WHERE `id`='$id'");
$e = mysql_num_rows($q);
if($e == 0){
    header('Location: main.php');
    exit;
}
$w = mysql_fetch_assoc($q);

echo "<b><font color=red>$w[name]</font></b><hr>";

$lc = mysql_fetch_assoc(mysql_query("SELECT * FROM `location` WHERE `id`='$w[loc]'"));
echo "Место нахождения: <b>$lc[name]</b><hr>";

echo "Здоровье: $w[hpall]<br>
Урон: $w[u_min] - $w[u_max]<hr>";

if($w['almaz']!==''){$almaz="<img src='img/almaz.png'> $w[almaz]";}
if($w['silver']!==''){$silver="<img src='img/silver.png'> $w[silver]";}

echo "Опыт: $w[exp]<br>
Деньги: $almaz $silver<br>";


break;



    
    
}

include ('tmp/foot.php');
?>